Package weka.core.stemmers

# Class NullStemmer

java.lang.Object
weka.core.stemmers.NullStemmer

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`, `Stemmer`

public class NullStemmer extends Object implements Stemmer
A dummy stemmer that performs no stemming at all.

Version:
  $Revision: 1.5 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NullStemmer()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getRevision()`
Returns the revision string.
`String`
`globalInfo()`
Returns a string describing the stemmer
`static void`
`main(String[] args)`
Runs the stemmer with the given options
`String`
`stem(String word)`
Returns the word as it is.
`String`
`toString()`
returns a string representation of the stemmer

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NullStemmer

public NullStemmer()

## Method Details

### globalInfo

public String globalInfo()
Returns a string describing the stemmer

Returns:
  a description suitable for displaying in the explorer/experimenter gui

### stem

public String stem(String word)
Returns the word as it is.

Specified by:
  `stem` in interface `Stemmer`
Parameters:
  `word` - the unstemmed word
Returns:
  the unstemmed word, again

### toString

public String toString()
returns a string representation of the stemmer

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of the stemmer

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision

### main

public static void main(String[] args)
Runs the stemmer with the given options

Parameters:
  `args` - the options